package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*活动
* @author quyixiao
* @since 2025-11-20
*/

@Data
@TableName("vv_activity")
public class VvActivityEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvActivityEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                               // 
    public final static String is_delete = CLASS_NAME + "is_delete";                  // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";              // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";              // 修改时间
    public final static String activity_name = CLASS_NAME + "activity_name";          // 活动名称 
    public final static String award_amount = CLASS_NAME + "award_amount";            // 奖励金额
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";    // 创建时间戳
    public final static String discount_amount = CLASS_NAME + "discount_amount";      // 折扣金额
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //活动名称 
    private String activityName;
    //奖励金额
    private BigDecimal awardAmount;
    //创建时间戳
    private Long createTimestamp;
    //折扣金额
    private BigDecimal discountAmount;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 活动名称  
     * @return
     */
    public String getActivityName() {
        return activityName;
    }
    /**
     * 活动名称  
     * @param activityName
     */
    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    /**
     * 奖励金额 
     * @return
     */
    public BigDecimal getAwardAmount() {
        return awardAmount;
    }
    /**
     * 奖励金额 
     * @param awardAmount
     */
    public void setAwardAmount(BigDecimal awardAmount) {
        this.awardAmount = awardAmount;
    }

    /**
     * 创建时间戳 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间戳 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 折扣金额 
     * @return
     */
    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }
    /**
     * 折扣金额 
     * @param discountAmount
     */
    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    @Override
    public String toString() {
        return "VvActivityEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",activityName=" + activityName +
                ",awardAmount=" + awardAmount +
                ",createTimestamp=" + createTimestamp +
                ",discountAmount=" + discountAmount +
                "}";
    }
}